; Сценарий для Inno Setup
[Setup]
AppName=Snag
AppVersion=version
DefaultDirName={commonpf}\snag
DefaultGroupName=Snag
OutputDir=Output
OutputBaseFileName=SnagInstaller
Compression=lzma
SolidCompression=yes
LicenseFile=../LICENSE

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Files]
Source: "../bin/snag.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "snag.bat"; DestDir: "{app}"; Flags: ignoreversion
Source: "snag.json.bak"; DestDir: "{app}"; Flags: ignoreversion
Source: "../LICENSE"; DestDir: "{app}"; Flags: ignoreversion

[Icons]
Name: "{group}\Snag"; Filename: "{app}\snag.bat"
Name: "{group}\{cm:UninstallProgram,Snag}"; Filename: "{uninstallexe}"

[Run]
Filename: "{app}\snag.bat"; Description: "{cm:LaunchProgram,Snag}"; Flags: nowait postinstall skipifsilent

[CustomMessages]
russian.LaunchProgram=Запустить Snag
